org.apache.fop.area

## Class PageSequence

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.PageSequence

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PageSequence
      extends AreaTreeObject

  Represents a page sequence in the area tree.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.area.AreaTreeObject

      `extensionAttachments, foreignAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageSequence(LineArea title)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPage(PageViewport page)` Adds a new page to the page sequence
    `java.util.Locale` | `getLocale()` Returns the locale of this page-sequence.
    `PageViewport` | `getPage(int idx)` Returns the page at the given index.
    `int` | `getPageCount()`
    `LineArea` | `getTitle()`
    `boolean` | `isFirstPage(PageViewport page)` Indicates whether a page is the first in this page sequence.
    `void` | `setLocale(java.util.Locale locale)` Sets the locale that applies to this page-sequence.
    `void` | `setTitle(LineArea title)` Sets the page sequence's title.

    - ### Methods inherited from class org.apache.fop.area.AreaTreeObject

      `addExtensionAttachment, clone, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageSequence

          public PageSequence(LineArea title)

      Main constructor
      Parameters:
        `title` - the title for the page-sequence, may be null

  - ### Method Detail

    - #### getTitle

          public LineArea getTitle()

      Returns:
        the title of the page sequence in form of a line area, or null if there's no title

    - #### setTitle

          public void setTitle(LineArea title)

      Sets the page sequence's title.
      Parameters:
        `title` - the title

    - #### addPage

          public void addPage(PageViewport page)

      Adds a new page to the page sequence
      Parameters:
        `page` - the page to be added

    - #### getPageCount

          public int getPageCount()

      Returns:
        the number of pages currently in this page sequence

    - #### getPage

          public PageViewport getPage(int idx)

      Returns the page at the given index.
      Parameters:
        `idx` - the index of the requested page
      Returns:
        the requested page or null if it was not found

    - #### isFirstPage

          public boolean isFirstPage(PageViewport page)

      Indicates whether a page is the first in this page sequence.
      Parameters:
        `page` - the page to be inspected
      Returns:
        true if the page is the first in this page sequence, false otherwise

    - #### setLocale

          public void setLocale(java.util.Locale locale)

      Sets the locale that applies to this page-sequence.
      Parameters:
        `locale` - the locale to set

    - #### getLocale

          public java.util.Locale getLocale()

      Returns the locale of this page-sequence.
      Returns:
        the locale, `null` if not set

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.